---
title: "Get health"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › vault

`GET /v2/vault/health`

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.sureshake.com/v2/vault/health
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/vault/health';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/vault/health"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "contractAddress": "string",
    "registryConnected": true,
    "relayerHealthy": true,
    "lastBlockSynced": 0,
    "pendingTransactions": 0
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`vault-get-health.response.200.data`; object, required)
  - `contractAddress` (`vault-get-health.response.200.data.contractAddress`; string, required, nullable)
  - `registryConnected` (`vault-get-health.response.200.data.registryConnected`; boolean, required)
  - `relayerHealthy` (`vault-get-health.response.200.data.relayerHealthy`; boolean, required)
  - `lastBlockSynced` (`vault-get-health.response.200.data.lastBlockSynced`; number, required, nullable)
  - `pendingTransactions` (`vault-get-health.response.200.data.pendingTransactions`; number, required)
- `meta` (`vault-get-health.response.200.meta`; object, optional)
  - `timestamp` (`vault-get-health.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`vault-get-health.response.500.error`; object, required)
  - `code` (`vault-get-health.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`vault-get-health.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`vault-get-health.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`vault-get-health.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/vault-get-health/index.md
